--
-- PostgreSQL database dump
--

\connect - postgres

SET search_path = public, pg_catalog;

--
-- TOC entry 2 (OID 73395)
-- Name: community_news; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE community_news (
    i_entryid integer NOT NULL,
    c_subject character(128) NOT NULL,
    d_entry date NOT NULL,
    t_entry text NOT NULL,
    i_memberid integer
);


--
-- TOC entry 3 (OID 73400)
-- Name: timezones; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE timezones (
    c_timezone character varying(32) NOT NULL
);


--
-- TOC entry 4 (OID 73402)
-- Name: poetry_categories; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_categories (
    i_categoryid integer NOT NULL,
    c_type character varying(1) NOT NULL,
    c_name character varying(48) NOT NULL
);


--
-- TOC entry 5 (OID 73404)
-- Name: poetry_ratings; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_ratings (
    i_memberid integer NOT NULL,
    i_poemid integer NOT NULL,
    i_creativity smallint NOT NULL,
    i_form smallint NOT NULL,
    i_imagery smallint NOT NULL,
    i_overall smallint NOT NULL,
    i_timestamp integer
);


--
-- TOC entry 6 (OID 73406)
-- Name: spotlights; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE spotlights (
    c_mmyy character varying(4) NOT NULL,
    i_memberid integer NOT NULL,
    t_info text NOT NULL,
    i_poem1 integer NOT NULL,
    i_poem2 integer NOT NULL,
    i_poem3 integer NOT NULL,
    i_authorid integer,
    d_spotlight date
);


--
-- TOC entry 7 (OID 73411)
-- Name: dictionary; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE dictionary (
    term character varying(24) NOT NULL,
    pronunciation character varying(32),
    definition text NOT NULL
);


--
-- TOC entry 8 (OID 73416)
-- Name: poetry_by_day; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_by_day (
    d_display date NOT NULL,
    i_poemid integer,
    i_memberid integer,
    t_timestamp timestamp with time zone
);


--
-- TOC entry 9 (OID 73418)
-- Name: journal_moods; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE journal_moods (
    c_mood character varying(32) NOT NULL
);


--
-- TOC entry 10 (OID 73420)
-- Name: faq; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE faq (
    i_id smallint NOT NULL,
    c_question character varying(200) NOT NULL,
    t_answer text NOT NULL
);


--
-- TOC entry 11 (OID 73425)
-- Name: forum_message_types; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE forum_message_types (
    c_type character varying(24) NOT NULL
);


--
-- TOC entry 12 (OID 73427)
-- Name: poetry_by_day_mailing; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_by_day_mailing (
    c_emailaddress character varying(64) NOT NULL,
    t_added timestamp with time zone NOT NULL,
    c_ipaddress character varying(15) NOT NULL
);


--
-- TOC entry 13 (OID 73429)
-- Name: forum_categories; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE forum_categories (
    c_category character varying(32) NOT NULL,
    t_description text,
    b_visible boolean,
    b_membersonly boolean,
    i_access smallint,
    b_groupforum boolean DEFAULT false NOT NULL
);


--
-- TOC entry 14 (OID 73435)
-- Name: journal_themes; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE journal_themes (
    c_themename character varying(20) NOT NULL,
    c_background character varying(128),
    c_prepend text,
    c_append text
);


--
-- TOC entry 15 (OID 73440)
-- Name: poetry_by_day_v2; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_by_day_v2 (
    d_display date NOT NULL,
    i_memberid integer NOT NULL,
    c_member character varying(60) NOT NULL,
    i_poemid integer NOT NULL,
    c_title character varying(64) NOT NULL,
    t_poem text NOT NULL
);


--
-- TOC entry 16 (OID 73445)
-- Name: groups; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE groups (
    c_groupname character varying(32) NOT NULL,
    i_moderator integer NOT NULL,
    t_description text,
    d_created date NOT NULL,
    f_hits double precision
);


--
-- TOC entry 17 (OID 73450)
-- Name: session_captcha; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE session_captcha (
    t_session timestamp with time zone NOT NULL,
    c_ipaddress character varying(15) NOT NULL,
    c_word character varying(30) NOT NULL,
    b_used boolean DEFAULT false
);


--
-- TOC entry 18 (OID 73453)
-- Name: applications; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE applications (
    i_id integer NOT NULL,
    t_application timestamp without time zone NOT NULL,
    c_fname character varying(32) NOT NULL,
    c_lname character varying(32) NOT NULL,
    c_city character varying(32) NOT NULL,
    c_state character varying(32) NOT NULL,
    c_country character varying(32) NOT NULL,
    d_birth date NOT NULL,
    t_essay text NOT NULL,
    c_title character varying(128) NOT NULL,
    t_poem text NOT NULL,
    c_email character varying(64) NOT NULL,
    b_confirmed boolean DEFAULT false NOT NULL,
    c_status character varying(24) DEFAULT 'New'::character varying NOT NULL,
    c_ipaddress character varying(15)
);


--
-- TOC entry 19 (OID 73460)
-- Name: themes; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE themes (
    theme_name character varying(24) NOT NULL,
    page_color_background character varying(7) NOT NULL,
    page_color_header character varying(7),
    menu_color_background character varying(7) NOT NULL,
    menu_color_border character varying(7) NOT NULL,
    menu_color_rollover character varying(7) NOT NULL,
    menu_color_font character varying(7) NOT NULL,
    menu_font_face character varying(32) NOT NULL,
    menu_font_size character varying(2) NOT NULL,
    table_header_color_bg character varying(7) NOT NULL,
    table_header_color_altbg character varying(7) NOT NULL,
    table_header_color_font character varying(7) NOT NULL,
    table_header_color_altfont character varying(7) NOT NULL,
    table_row_color_bg character varying(7) NOT NULL,
    table_row_color_altbg character varying(7) NOT NULL,
    table_row_color_font character varying(7) NOT NULL,
    table_row_color_altfont character varying(7) NOT NULL,
    abstop smallint
);


--
-- TOC entry 20 (OID 73462)
-- Name: freedomains; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE freedomains (
    c_domain character varying(64) NOT NULL
);


--
-- TOC entry 21 (OID 73464)
-- Name: member_message_history; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_message_history (
    i_messageid integer NOT NULL,
    i_senderid integer NOT NULL,
    i_recipientid integer NOT NULL,
    t_sent timestamp with time zone NOT NULL,
    b_viewed boolean DEFAULT false NOT NULL,
    t_message text NOT NULL
);


--
-- TOC entry 22 (OID 73470)
-- Name: application_vote_karma_award; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE application_vote_karma_award (
    i_memberid integer NOT NULL,
    i_counter integer DEFAULT 0 NOT NULL
);


--
-- TOC entry 23 (OID 73473)
-- Name: folder_hits; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE folder_hits (
    i_memberid integer NOT NULL,
    i_folderid integer NOT NULL,
    t_hit timestamp with time zone NOT NULL
);


--
-- TOC entry 24 (OID 73475)
-- Name: folders; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE folders (
    i_folderid integer NOT NULL,
    c_foldername character(32) NOT NULL,
    c_icon character(24) NOT NULL,
    i_memberid integer NOT NULL,
    i_type smallint,
    t_description text,
    i_hits integer
);


--
-- TOC entry 25 (OID 73480)
-- Name: group_members; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE group_members (
    c_groupname character varying(32) NOT NULL,
    i_memberid integer NOT NULL,
    d_signup date NOT NULL,
    b_moderator boolean
);


--
-- TOC entry 26 (OID 73482)
-- Name: group_news; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE group_news (
    i_entryid integer NOT NULL,
    c_groupname character varying(32) NOT NULL,
    c_subject character varying(128) NOT NULL,
    d_entry date NOT NULL,
    t_entry text NOT NULL,
    i_memberid integer NOT NULL
);


--
-- TOC entry 27 (OID 73487)
-- Name: group_poems; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE group_poems (
    c_groupname character varying(32) NOT NULL,
    i_memberid integer NOT NULL,
    i_poemid integer NOT NULL
);


--
-- TOC entry 28 (OID 73489)
-- Name: member_donations; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_donations (
    d_donation date NOT NULL,
    i_memberid integer NOT NULL,
    f_amount money NOT NULL
);


--
-- TOC entry 29 (OID 73491)
-- Name: member_dupes_ignore; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_dupes_ignore (
    i_memberid integer NOT NULL
);


--
-- TOC entry 30 (OID 73493)
-- Name: member_friends; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_friends (
    i_memberid integer NOT NULL,
    i_friendid integer NOT NULL
);


--
-- TOC entry 31 (OID 73495)
-- Name: member_messages; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_messages (
    i_messageid integer NOT NULL,
    i_senderid integer NOT NULL,
    i_recipientid integer NOT NULL,
    t_sent timestamp with time zone NOT NULL,
    b_viewed boolean DEFAULT false NOT NULL,
    t_message text NOT NULL
);


--
-- TOC entry 32 (OID 73501)
-- Name: poetry_by_day_suggestions; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_by_day_suggestions (
    i_poemid integer NOT NULL,
    i_referrer integer NOT NULL,
    t_suggested timestamp with time zone NOT NULL
);


--
-- TOC entry 33 (OID 73503)
-- Name: poetry_categorization; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry_categorization (
    i_poemid integer NOT NULL,
    i_memberid integer NOT NULL,
    i_categoryid integer NOT NULL
);


--
-- TOC entry 34 (OID 73505)
-- Name: spotlight_suggestions; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE spotlight_suggestions (
    i_memberid integer NOT NULL,
    i_referrer integer NOT NULL,
    t_added timestamp with time zone NOT NULL
);


--
-- TOC entry 35 (OID 73507)
-- Name: poetry; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE poetry (
    i_poemid integer NOT NULL,
    c_title character(64) NOT NULL,
    d_created date NOT NULL,
    t_posted timestamp with time zone NOT NULL,
    t_poem text NOT NULL,
    i_contentv smallint NOT NULL,
    i_contents smallint NOT NULL,
    i_contentl smallint NOT NULL,
    i_hits integer NOT NULL,
    i_memberid integer NOT NULL,
    i_folderid integer,
    b_center boolean,
    i_lastread integer,
    t_notes text,
    c_language character varying(32),
    b_explicit boolean DEFAULT 'f' NOT NULL
);


--
-- TOC entry 36 (OID 73512)
-- Name: members; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE members (
    i_memberid integer NOT NULL,
    i_memberstate smallint NOT NULL,
    c_email character(64) NOT NULL,
    c_password character(32) NOT NULL,
    c_fname character(32) NOT NULL,
    c_middle character(32),
    c_lname character(32) NOT NULL,
    c_suffix character(4),
    c_city character(32) NOT NULL,
    c_state character(32) NOT NULL,
    c_country character(32) NOT NULL,
    c_occupation character(32),
    c_homepage character(128),
    c_timezone character(32) NOT NULL,
    c_image character(24) NOT NULL,
    d_birth date NOT NULL,
    d_signup date NOT NULL,
    d_lastactivity date NOT NULL,
    b_hideage boolean NOT NULL,
    b_ratings boolean NOT NULL,
    c_language character(32) NOT NULL,
    t_biography text,
    b_patron boolean,
    c_title character varying(32),
    i_timestamp integer,
    b_rtfedit boolean,
    b_allowcomments boolean,
    b_showfriends boolean,
    theme character varying(24),
    b_friendslist boolean,
    i_itemlimit integer,
    b_locked boolean DEFAULT false NOT NULL,
    c_journaltheme character varying(20) NOT NULL,
    b_allowjcomments boolean DEFAULT true,
    b_away boolean DEFAULT 'f'
);


--
-- TOC entry 37 (OID 73518)
-- Name: forum_messages; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE forum_messages (
    i_id integer NOT NULL,
    c_type character varying(24) NOT NULL,
    i_memberid integer NOT NULL,
    i_parentid integer NOT NULL,
    t_posted timestamp with time zone NOT NULL,
    c_category character varying(32) NOT NULL,
    c_subject character varying(128) NOT NULL,
    t_message text NOT NULL,
    i_hits integer,
    b_locked boolean DEFAULT false
);


--
-- TOC entry 38 (OID 73524)
-- Name: application_votes; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE application_votes (
    i_id integer NOT NULL,
    i_memberid integer NOT NULL,
    b_approve boolean DEFAULT false
);


--
-- TOC entry 39 (OID 73527)
-- Name: member_visits; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_visits (
    i_memberid integer NOT NULL,
    t_visit timestamp with time zone NOT NULL,
    c_ipaddress character varying(15) NOT NULL,
    c_browser character varying(128)
);


--
-- TOC entry 40 (OID 73529)
-- Name: member_karma; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE member_karma (
    i_memberid integer NOT NULL,
    i_qty integer DEFAULT 0 NOT NULL,
    i_spent integer DEFAULT 0
);


--
-- TOC entry 41 (OID 73533)
-- Name: journal_entries; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE journal_entries (
    i_entryid integer NOT NULL,
    i_memberid integer NOT NULL,
    c_subject character(256) NOT NULL,
    t_entry text NOT NULL,
    c_mood character(64),
    c_music character(64),
    i_folderid integer,
    t_timestamp timestamp with time zone,
    b_explicit boolean DEFAULT 'f' NOT NULL
);


\connect - root

SET search_path = public, pg_catalog;

--
-- TOC entry 42 (OID 1243222)
-- Name: member_favorites; Type: TABLE; Schema: public; Owner: root
--

CREATE TABLE member_favorites (
    i_memberid integer NOT NULL,
    i_authorid integer NOT NULL,
    i_poemid integer NOT NULL
);


--
-- TOC entry 43 (OID 2361338)
-- Name: visitors; Type: TABLE; Schema: public; Owner: root
--

CREATE TABLE visitors (
    i_ipaddress inet NOT NULL,
    t_timestamp timestamp without time zone NOT NULL,
    c_requesturi character varying(255)
);


\connect - postgres

SET search_path = public, pg_catalog;

--
-- TOC entry 47 (OID 1182503)
-- Name: poetry_ratings_by_poemid; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_ratings_by_poemid ON poetry_ratings USING btree (i_poemid);


--
-- TOC entry 51 (OID 1182504)
-- Name: dictionary_terms; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX dictionary_terms ON dictionary USING btree (term);


--
-- TOC entry 58 (OID 1182505)
-- Name: journal_themes_pk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX journal_themes_pk ON journal_themes USING btree (c_themename);


--
-- TOC entry 64 (OID 1182506)
-- Name: confirmed_applications; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX confirmed_applications ON applications USING btree (b_confirmed);


--
-- TOC entry 62 (OID 1182507)
-- Name: applications_by_status; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX applications_by_status ON applications USING btree (c_status);


--
-- TOC entry 82 (OID 1182508)
-- Name: member_messages_by_recipient; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_messages_by_recipient ON member_messages USING btree (i_messageid, i_recipientid);


--
-- TOC entry 80 (OID 1182509)
-- Name: member_messages_a; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_messages_a ON member_messages USING btree (i_recipientid, b_viewed);


--
-- TOC entry 81 (OID 1182510)
-- Name: member_messages_b; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_messages_b ON member_messages USING btree (i_senderid);


--
-- TOC entry 85 (OID 1182511)
-- Name: poetry_categorization_idx; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX poetry_categorization_idx ON poetry_categorization USING btree (i_categoryid, i_poemid);


--
-- TOC entry 90 (OID 1182512)
-- Name: poetry_by_member; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_member ON poetry USING btree (i_memberid, i_poemid);


--
-- TOC entry 88 (OID 1182513)
-- Name: poetry_by_id; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_id ON poetry USING btree (i_poemid);


--
-- TOC entry 89 (OID 1182514)
-- Name: poetry_by_lastread; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_lastread ON poetry USING btree (i_lastread, i_poemid);


--
-- TOC entry 95 (OID 1182515)
-- Name: poetry_poemid; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX poetry_poemid ON poetry USING btree (i_poemid);


--
-- TOC entry 92 (OID 1182516)
-- Name: poetry_by_tposted; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_tposted ON poetry USING btree (t_posted);


--
-- TOC entry 87 (OID 1182517)
-- Name: poetry_by_hits; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_hits ON poetry USING btree (i_hits, i_poemid);


--
-- TOC entry 93 (OID 1182518)
-- Name: poetry_hits; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_hits ON poetry USING btree (i_hits);


--
-- TOC entry 91 (OID 1182520)
-- Name: poetry_by_timestamp; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX poetry_by_timestamp ON poetry USING btree (t_posted, i_poemid);


--
-- TOC entry 97 (OID 1182521)
-- Name: member_scan; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_scan ON members USING btree (i_timestamp, i_memberstate, i_memberid);


--
-- TOC entry 96 (OID 1182522)
-- Name: member_lastname; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_lastname ON members USING btree (c_lname);


--
-- TOC entry 102 (OID 1182523)
-- Name: forurmreplies; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX forurmreplies ON forum_messages USING btree (i_parentid);


--
-- TOC entry 100 (OID 1182524)
-- Name: forum_messages_by_timestamp; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX forum_messages_by_timestamp ON forum_messages USING btree (t_posted);


--
-- TOC entry 103 (OID 1182525)
-- Name: last_message; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX last_message ON forum_messages USING btree (c_category, t_posted);


--
-- TOC entry 104 (OID 1182526)
-- Name: member_message_count; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_message_count ON forum_messages USING btree (c_type, i_memberid);


--
-- TOC entry 99 (OID 1182527)
-- Name: form_messages_by_member; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX form_messages_by_member ON forum_messages USING btree (i_memberid);


--
-- TOC entry 106 (OID 1182528)
-- Name: member_visit_browser; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_visit_browser ON member_visits USING btree (c_browser);


--
-- TOC entry 107 (OID 1182529)
-- Name: member_visit_browser_ip; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_visit_browser_ip ON member_visits USING btree (c_browser, c_ipaddress);


--
-- TOC entry 109 (OID 1182530)
-- Name: member_karma_pky; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX member_karma_pky ON member_karma USING btree (i_memberid);


--
-- TOC entry 110 (OID 1182531)
-- Name: journal_entries_by_memberts; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX journal_entries_by_memberts ON journal_entries USING btree (t_timestamp, i_memberid);


--
-- TOC entry 76 (OID 1182532)
-- Name: member_donations_a; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_donations_a ON member_donations USING btree (d_donation);


--
-- TOC entry 68 (OID 2385000)
-- Name: member_message_history_recipient; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_message_history_recipient ON member_message_history USING btree (i_recipientid);


--
-- TOC entry 69 (OID 2385006)
-- Name: member_message_history_sender; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX member_message_history_sender ON member_message_history USING btree (i_senderid);


--
-- TOC entry 44 (OID 1182533)
-- Name: community_news_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY community_news
    ADD CONSTRAINT community_news_pkey PRIMARY KEY (i_entryid);


--
-- TOC entry 45 (OID 1182535)
-- Name: timezones_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY timezones
    ADD CONSTRAINT timezones_pkey PRIMARY KEY (c_timezone);


--
-- TOC entry 46 (OID 1182537)
-- Name: poetry_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_categories
    ADD CONSTRAINT poetry_categories_pkey PRIMARY KEY (i_categoryid);


--
-- TOC entry 48 (OID 1182539)
-- Name: poetry_ratings_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_ratings
    ADD CONSTRAINT poetry_ratings_pkey PRIMARY KEY (i_memberid, i_poemid);


--
-- TOC entry 49 (OID 1182541)
-- Name: spotlights_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY spotlights
    ADD CONSTRAINT spotlights_pkey PRIMARY KEY (c_mmyy);


--
-- TOC entry 50 (OID 1182543)
-- Name: dictionary_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dictionary
    ADD CONSTRAINT dictionary_pkey PRIMARY KEY (term);


--
-- TOC entry 52 (OID 1182545)
-- Name: poetry_by_day_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_by_day
    ADD CONSTRAINT poetry_by_day_pkey PRIMARY KEY (d_display);


--
-- TOC entry 53 (OID 1182547)
-- Name: journal_moods_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journal_moods
    ADD CONSTRAINT journal_moods_pkey PRIMARY KEY (c_mood);


--
-- TOC entry 54 (OID 1182549)
-- Name: faq_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY faq
    ADD CONSTRAINT faq_pkey PRIMARY KEY (i_id);


--
-- TOC entry 55 (OID 1182551)
-- Name: forum_message_types_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_message_types
    ADD CONSTRAINT forum_message_types_pkey PRIMARY KEY (c_type);


--
-- TOC entry 56 (OID 1182553)
-- Name: poetry_by_day_mailing_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_by_day_mailing
    ADD CONSTRAINT poetry_by_day_mailing_pkey PRIMARY KEY (c_emailaddress);


--
-- TOC entry 57 (OID 1182555)
-- Name: forum_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_categories
    ADD CONSTRAINT forum_categories_pkey PRIMARY KEY (c_category);


--
-- TOC entry 59 (OID 1182557)
-- Name: poetry_by_day_v2_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_by_day_v2
    ADD CONSTRAINT poetry_by_day_v2_pkey PRIMARY KEY (d_display);


--
-- TOC entry 60 (OID 1182559)
-- Name: groups_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT groups_pkey PRIMARY KEY (c_groupname);


--
-- TOC entry 61 (OID 1182561)
-- Name: session_captcha_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY session_captcha
    ADD CONSTRAINT session_captcha_pkey PRIMARY KEY (t_session, c_ipaddress);


--
-- TOC entry 63 (OID 1182563)
-- Name: applications_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY applications
    ADD CONSTRAINT applications_pkey PRIMARY KEY (i_id);


--
-- TOC entry 65 (OID 1182565)
-- Name: themes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY themes
    ADD CONSTRAINT themes_pkey PRIMARY KEY (theme_name);


--
-- TOC entry 66 (OID 1182567)
-- Name: freedomains_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY freedomains
    ADD CONSTRAINT freedomains_pkey PRIMARY KEY (c_domain);


--
-- TOC entry 67 (OID 1182569)
-- Name: member_message_history_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_message_history
    ADD CONSTRAINT member_message_history_pkey PRIMARY KEY (i_messageid, i_senderid);


--
-- TOC entry 70 (OID 1182571)
-- Name: application_vote_karma_award_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY application_vote_karma_award
    ADD CONSTRAINT application_vote_karma_award_pkey PRIMARY KEY (i_memberid);


--
-- TOC entry 71 (OID 1182573)
-- Name: folder_hits_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY folder_hits
    ADD CONSTRAINT folder_hits_pkey PRIMARY KEY (i_memberid, i_folderid, t_hit);


--
-- TOC entry 72 (OID 1182575)
-- Name: folders_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY folders
    ADD CONSTRAINT folders_pkey PRIMARY KEY (i_folderid);


--
-- TOC entry 73 (OID 1182577)
-- Name: group_members_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_members
    ADD CONSTRAINT group_members_pkey PRIMARY KEY (c_groupname, i_memberid);


--
-- TOC entry 74 (OID 1182579)
-- Name: group_news_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_news
    ADD CONSTRAINT group_news_pkey PRIMARY KEY (i_entryid);


--
-- TOC entry 75 (OID 1182581)
-- Name: group_poems_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_poems
    ADD CONSTRAINT group_poems_pkey PRIMARY KEY (c_groupname, i_memberid, i_poemid);


--
-- TOC entry 77 (OID 1182583)
-- Name: member_donations_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_donations
    ADD CONSTRAINT member_donations_pkey PRIMARY KEY (d_donation, i_memberid);


--
-- TOC entry 78 (OID 1182585)
-- Name: member_dupes_ignore_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_dupes_ignore
    ADD CONSTRAINT member_dupes_ignore_pkey PRIMARY KEY (i_memberid);


--
-- TOC entry 79 (OID 1182587)
-- Name: member_friends_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_friends
    ADD CONSTRAINT member_friends_pkey PRIMARY KEY (i_memberid, i_friendid);


--
-- TOC entry 83 (OID 1182589)
-- Name: member_messages_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_messages
    ADD CONSTRAINT member_messages_pkey PRIMARY KEY (i_messageid, i_senderid, i_recipientid);


--
-- TOC entry 84 (OID 1182591)
-- Name: poetry_by_day_suggestions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_by_day_suggestions
    ADD CONSTRAINT poetry_by_day_suggestions_pkey PRIMARY KEY (i_poemid, i_referrer);


--
-- TOC entry 86 (OID 1182593)
-- Name: spotlight_suggestions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY spotlight_suggestions
    ADD CONSTRAINT spotlight_suggestions_pkey PRIMARY KEY (i_memberid, i_referrer, t_added);


--
-- TOC entry 94 (OID 1182595)
-- Name: poetry_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry
    ADD CONSTRAINT poetry_pkey PRIMARY KEY (i_poemid, i_memberid);


--
-- TOC entry 98 (OID 1182597)
-- Name: members_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY members
    ADD CONSTRAINT members_pkey PRIMARY KEY (i_memberid);


--
-- TOC entry 101 (OID 1182599)
-- Name: forum_messages_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_messages
    ADD CONSTRAINT forum_messages_pkey PRIMARY KEY (i_id);


--
-- TOC entry 105 (OID 1182601)
-- Name: application_votes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY application_votes
    ADD CONSTRAINT application_votes_pkey PRIMARY KEY (i_id, i_memberid);


--
-- TOC entry 108 (OID 1182603)
-- Name: member_visits_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_visits
    ADD CONSTRAINT member_visits_pkey PRIMARY KEY (i_memberid, t_visit, c_ipaddress);


--
-- TOC entry 111 (OID 1182605)
-- Name: journal_entries_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journal_entries
    ADD CONSTRAINT journal_entries_pkey PRIMARY KEY (i_entryid, i_memberid);


--
-- TOC entry 139 (OID 1182607)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 114 (OID 1182611)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_ratings
    ADD CONSTRAINT "$1" FOREIGN KEY (i_poemid) REFERENCES poetry(i_poemid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 115 (OID 1182615)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_ratings
    ADD CONSTRAINT "$2" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 136 (OID 1182620)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_categorization
    ADD CONSTRAINT "$1" FOREIGN KEY (i_categoryid) REFERENCES poetry_categories(i_categoryid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 140 (OID 1182625)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry
    ADD CONSTRAINT "$2" FOREIGN KEY (i_folderid) REFERENCES folders(i_folderid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 123 (OID 1182629)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY folders
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 122 (OID 1182633)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY folder_hits
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 116 (OID 1182637)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY spotlights
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- TOC entry 137 (OID 1182641)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY spotlight_suggestions
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 138 (OID 1182645)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY spotlight_suggestions
    ADD CONSTRAINT "$2" FOREIGN KEY (i_referrer) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 117 (OID 1182649)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY poetry_by_day
    ADD CONSTRAINT "$1" FOREIGN KEY (i_poemid) REFERENCES poetry(i_poemid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 130 (OID 1182653)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_donations
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE NO ACTION ON DELETE CASCADE;


--
-- TOC entry 131 (OID 1182657)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_dupes_ignore
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE NO ACTION ON DELETE CASCADE;


--
-- TOC entry 128 (OID 1182661)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_poems
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid, i_poemid) REFERENCES poetry(i_memberid, i_poemid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 124 (OID 1182665)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_members
    ADD CONSTRAINT "$1" FOREIGN KEY (c_groupname) REFERENCES groups(c_groupname) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 126 (OID 1182669)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_news
    ADD CONSTRAINT "$1" FOREIGN KEY (c_groupname) REFERENCES groups(c_groupname) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 129 (OID 1182673)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_poems
    ADD CONSTRAINT "$2" FOREIGN KEY (c_groupname) REFERENCES groups(c_groupname) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 127 (OID 1182677)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_news
    ADD CONSTRAINT "$2" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 125 (OID 1182681)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY group_members
    ADD CONSTRAINT "$2" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 141 (OID 1182685)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_messages
    ADD CONSTRAINT "$1" FOREIGN KEY (c_type) REFERENCES forum_message_types(c_type) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 142 (OID 1182689)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_messages
    ADD CONSTRAINT "$2" FOREIGN KEY (c_category) REFERENCES forum_categories(c_category) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 143 (OID 1182693)
-- Name: $3; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY forum_messages
    ADD CONSTRAINT "$3" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 134 (OID 1182697)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_messages
    ADD CONSTRAINT "$1" FOREIGN KEY (i_senderid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 135 (OID 1182701)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_messages
    ADD CONSTRAINT "$2" FOREIGN KEY (i_recipientid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 132 (OID 1182705)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_friends
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 133 (OID 1182709)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_friends
    ADD CONSTRAINT "$2" FOREIGN KEY (i_friendid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 144 (OID 1182713)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY application_votes
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 119 (OID 1182717)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_message_history
    ADD CONSTRAINT "$1" FOREIGN KEY (i_senderid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 120 (OID 1182721)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_message_history
    ADD CONSTRAINT "$2" FOREIGN KEY (i_recipientid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 121 (OID 1182725)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY application_vote_karma_award
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 145 (OID 1182729)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_visits
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 146 (OID 1182733)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY member_karma
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 147 (OID 1182737)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journal_entries
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 118 (OID 1182741)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT "$1" FOREIGN KEY (i_moderator) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE RESTRICT;


\connect - root

SET search_path = public, pg_catalog;

--
-- TOC entry 112 (OID 1243224)
-- Name: member_favorites_pkey; Type: CONSTRAINT; Schema: public; Owner: root
--

ALTER TABLE ONLY member_favorites
    ADD CONSTRAINT member_favorites_pkey PRIMARY KEY (i_memberid, i_authorid, i_poemid);


--
-- TOC entry 148 (OID 1243226)
-- Name: $1; Type: CONSTRAINT; Schema: public; Owner: root
--

ALTER TABLE ONLY member_favorites
    ADD CONSTRAINT "$1" FOREIGN KEY (i_memberid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 149 (OID 1243230)
-- Name: $2; Type: CONSTRAINT; Schema: public; Owner: root
--

ALTER TABLE ONLY member_favorites
    ADD CONSTRAINT "$2" FOREIGN KEY (i_authorid) REFERENCES members(i_memberid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 150 (OID 1243234)
-- Name: $3; Type: CONSTRAINT; Schema: public; Owner: root
--

ALTER TABLE ONLY member_favorites
    ADD CONSTRAINT "$3" FOREIGN KEY (i_authorid, i_poemid) REFERENCES poetry(i_memberid, i_poemid) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 113 (OID 2361340)
-- Name: visitors_pkey; Type: CONSTRAINT; Schema: public; Owner: root
--

ALTER TABLE ONLY visitors
    ADD CONSTRAINT visitors_pkey PRIMARY KEY (i_ipaddress, t_timestamp);


