<?php
  $memberOnly = false;

  include("Include/db.inc");
  include("Include/functions.inc");

  putenv("PDFLIBRESOURCE=/usr/local/fonts"); 

  // Get the Folder & Member Info
  $result = pg_Query($conn, "SELECT a.*, b.c_fname, b.c_lname, b.c_middle, b.c_suffix, b.c_title FROM folders AS a, members AS b WHERE b.i_memberid = a.i_memberid AND a.i_folderid = $_GET[i_folderid];");
  $data = pg_Fetch_Object($result, 0);
  pg_FreeResult($result);


  // Variables
  $height = 792;
  $width = 612;
  $now = time();
  $filename = "PDF-tmp/" . returnName($data) . " - " . Trim($data->c_foldername) . "$now.pdf";

  // Open & Setup the PDF
  $pdfFile = fopen($filename, "w");
  $pdf= pdf_open($pdfFile);
  pdf_set_info($pdf, "Author", returnName($data));
  pdf_set_info($pdf, "Title", Trim($data->c_foldername));
  pdf_set_info($pdf, "Creator", "www.pathetic.org");
  //pdf_set_info($pdf, "Subject", $data->t_description);

  // Create the Cover Page
  pdf_begin_page($pdf, $width, $height);
  pdf_add_bookmark($pdf, Trim($data->c_foldername));

  // Top Circly part
  pdf_setcolor($pdf, "fill", "gray", 0.75);
  pdf_circle($pdf, 300, 400, 1000);
  pdf_fill($pdf);
  pdf_setcolor($pdf, "fill", "gray", 1);
  pdf_circle($pdf, 550, -800, 1200);
  pdf_fill($pdf);

  // Folder Title
  pdf_setcolor($pdf, "both", "gray", 0);
  $font = pdf_findfont($pdf, "Helvetica-Bold", "winansi", 0);
  if ( $font ) pdf_setfont($pdf, $font, 36);
  $stringWidth = pdf_stringwidth($pdf, Trim($data->c_foldername)); 
  $left = $width - 20 - $stringWidth;
  pdf_show_xy($pdf, Trim($data->c_foldername), $left, 275); 

  // By Line
  $font = pdf_findfont($pdf, "Helvetica-Bold", "winansi", 0);
  if ( $font ) pdf_setfont($pdf, $font, 18);
  $temp = "by " . returnName($data);
  $stringWidth = pdf_stringwidth($pdf, $temp); 
  $left = $width - 20 - $stringWidth;
  pdf_show_xy($pdf, $temp, $left, 245); 

  // By Line
  $font = pdf_findfont($pdf, "Helvetica-Oblique", "winansi", 0);
  if ( $font ) pdf_setfont($pdf, $font, 14);
  $temp = "a eta pathetic.org chapbook folder";
  $stringWidth = pdf_stringwidth($pdf, $temp); 
  $left = ( $width / 2 ) - ( $stringWidth / 2 );
  pdf_show_xy($pdf, $temp, $left, 40); 

  // By Line
  $font = pdf_findfont($pdf, "Helvetica", "winansi", 0);
  if ( $font ) pdf_setfont($pdf, $font, 12);
  $temp = "Copyright  " . strftime("%Y") . " " . returnName($data);
  $stringWidth = pdf_stringwidth($pdf, $temp); 
  $left = ( $width / 2 ) - ( $stringWidth / 2 );
  pdf_show_xy($pdf, $temp, $left, 20); 

  // End the Cover Page
  pdf_end_page($pdf);

  // Now Loop Through and Get the poetry

  $result = pg_Query($conn, "SELECT * FROM poetry WHERE i_folderid = $_GET[i_folderid] ORDER BY c_title;");
  $rows = pg_NumRows($result);
  for ( $y = 0; $y < $rows; $y++ )
  {
    $data = pg_Fetch_Object($result);
    $poem = base64_decode($data->t_poem);
    $poem = ereg_replace("<br>", "\n", $poem);
    $poem = ereg_replace("<BR>", "\n", $poem);
    $poem = ereg_replace("<BR />", "\n", $poem);
    $poem = ereg_replace("<br />", "\n", $poem);
    $poem = ereg_replace("&nbsp;", " ", $poem);
    $poem = ereg_replace("<DD>", "     ", $poem);
    $poem = ereg_replace("<dd>", "     ", $poem);
    $poem = strip_tags($poem);
    $poemLines = explode("\n", $poem);

    // Start a new page
    pdf_begin_page($pdf, $width, $height);
    pdf_add_bookmark($pdf, Trim($data->c_title));
   
    // Title
    $font = pdf_findfont($pdf, "Helvetica-Bold", "winansi", 0);
    if ( $font ) pdf_setfont($pdf, $font, 24);
    $temp = Trim($data->c_title);
    if ( $data->b_centered == "t" )
    {
      $stringWidth = pdf_stringwidth($pdf, $temp); 
      $left = ( $width / 2 ) - ( $stringWidth / 2 );
    } else {
      $left = 20;
    }
    pdf_show_xy($pdf, $temp, $left, 760); 


    // Poem
    $font = pdf_findfont($pdf, "Helvetica-Bold", "winansi", 0);
    if ( $font ) pdf_setfont($pdf, $font, 14);
    $start = 730;
    for ( $z = 0; $z < Count($poemLines); $z++ )
    {
      $temp = $poemLines[$z];
      if ( $data->b_centered == "t" )
      {
        $stringWidth = pdf_stringwidth($pdf, $temp); 
        $left = ( $width / 2 ) - ( $stringWidth / 2 );
      } else {
        $left = 20;
      }
      pdf_show_xy($pdf, $temp, $left, $start); 

      $start -= 20;
      if ( $start < 50 ) 
      {
        pdf_end_page($pdf);
        pdf_begin_page($pdf, $width, $height);
        $start = 730;
        $font = pdf_findfont($pdf, "Helvetica-Bold", "winansi", 0);
        if ( $font ) pdf_setfont($pdf, $font, 14);
      }
    }

    // Posted Info
    $start -=20;
    if ( $font ) pdf_setfont($pdf, $font, 12);
    $temp = $data->d_created;
    if ( $data->b_centered == "t" )
    {
      $stringWidth = pdf_stringwidth($pdf, $temp); 
      $left = ( $width / 2 ) - ( $stringWidth / 2 );
    } else {
      $left = 20;
    }
    pdf_show_xy($pdf, $temp, $left, $start); 

/*
    // Authors Notes
    $start -= 30;
    if ( $font ) pdf_setfont($pdf, $font, 12);
    $temp = "Authors Note: " . base64_decode($data->t_notes);
    $left = 20;
    pdf_moveto($pdf, $left, $start); 
    pdf_show($pdf, $temp);
*/
      
    // End the page
    pdf_end_page($pdf);

  }

  // Close Out the PDF
  pdf_close($pdf);
  fclose($pdfFile);

  // Send Out the PDF
  header("Location: /$filename");
?>
